<?php
namespace Claromentis\Core\Component\ValueType;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array();




interface ValueType
{
    
    
    
    
    
    
    
    
    public function Serialize($value);
    
    
    
    
    
    
    
    
    public function Unserialize($s_value);
    
    
    
    
    
    
    
    
    public function Normalize($value);
    
    
    
    
    
    
    
    
    
    
    
    public function Modify($old_value, $new_value);
}